wnlt.net
当前位置:首页 >> CEntos7yum不能用 >>

CEntos7yum不能用

fastestmirror是yum的一个加速插件,这里是插件提示信息是插件不能用了.不能用就先别用呗,禁用掉,先yum了再说.1.修改插件的配置文件# vi /etc/yum/pluginconf.d/fastestmirror.conf enabled = 1//由1改为0,禁用该插件.2.修改yum的配置文件# vi /etc/yum.conf.plugins=1//改为0,不使用插件

yum文件镜像配置 [root@HXG-125 ~]# more /etc/yum.repos.d/rhel-beta.repo [rhel-beta] name=rhel-betal baseurl=file:///mnt/ enabled=1 gpgcheck=0 挂载镜像文件到 /mnt 下 [root@HXG-125 ~]# mount /dev/sr0 /mnt

可以从以下两个方面判断:1.你联网了吗?2.你用的yum安装哪一个软件或包,有些在centos里面是没有yum源的,这时,你安装某些软件就不会成功.需要手动修改centos yum 增加源,有些软件无法yum,你可以下载源文件,编译安装.

你这不是错误,只需要把提抄示的rpm --import public.gpg.key执行一遍后,在运行yum install就好了.那个Loaded plugins:fastestmirror,langpacks并非错误.而是两者插件.fastest是最快的,袭mirror是镜像.所以,fastestmirror是帮助你找到最

centos下安装完EPEL源然后更新一下yum缓存如果发现这样的错误:Error: Cannot retrieve metalink for repository: epel. Please verify its path and try again这就表明你需要更新CA证书了,那么只需要更新CA证书就可以,不过在此同时需要临时禁用epel源并更新就可以了,命令如下:yum --disablerepo=epel -y update ca-certificates

centos7已经不使用 ifconfig命令了,已经用ip命令代替;并且网卡名称也不是eth0了,而是改成eno16777736了.

ifup eth0我之前安装也遇到过这个情况,建议用xampp这个软件集成包,把你的mysql和apacher卸载了,直接用这个就行,找个linux版本的.

1.备份/etc/yum.repos.d/CentOS-Base.repomv /etc/yum.repos.d/CentOS-Base.repo /etc/yum.repos.d/CentOS-Base.repo.backup2.下载repo文件,放入/etc/yum.repos.d/(操作前请做好相应备份)wget /.help/CentOS7-Base-163.repomv CentOS7-Base-163.repo /etc/yum.repos.d/3.运行以下命令生成缓存yum clean allyum makecache

重新装yum,yum需要Python支持,或是配置文件中的Python路径目录名修改成Python2,这问题我2年前碰过…

DNS没有设置 能ping 不能解析.添加一个通用DNS即可.像114.114.114.114

网站首页 | 网站地图
All rights reserved Powered by www.wnlt.net
copyright ©right 2010-2021。
内容来自网络,如有侵犯请联系客服。zhit325@qq.com